Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.simple
Class ProcessingRequest

    java.lang.Object
      rice.environment.processing.simple.ProcessingRequest

All Implemented Interfaces:
  java.lang.Comparable<ProcessingRequest>, java.lang.Runnable

    public class ProcessingRequest

extends java.lang.Object
implements java.lang.Runnable, java.lang.Comparable<ProcessingRequest>

Scheduling with a lower priority number will be executed first (is higher Priority)

Author:
  Jeff Hoye

Constructor Summary
`ProcessingRequest(Executable r, Continuation c, int priority, long seq, LogManager logging, TimeSource timeSource, SelectorManager selectorManager)`

Method Summary
`int` | `compareTo(ProcessingRequest request)`
`int` | `getPriority()`
`void` | `returnError(java.lang.Exception e)`
`void` | `returnResult(java.lang.Object o)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessingRequest

    public ProcessingRequest(Executable r,
                             Continuation c,
                             int priority,
                             long seq,
                             LogManager logging,
                             TimeSource timeSource,
                             SelectorManager selectorManager)

Method Detail

### returnResult

    public void returnResult(java.lang.Object o)

### returnError

    public void returnError(java.lang.Exception e)

### getPriority

    public int getPriority()

### compareTo

    public int compareTo(ProcessingRequest request)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ProcessingRequest>`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.